NAND_WRITE_PAGE(9)

NAME
nand_write_page - [GENERIC] write one page

SYNOPSIS

int nand_write_page (struct mtd_info * mtd, struct nand_chip * this, int page, u_char * oob_buf, struct nand_oobinfo * oobsel, int cached);

ARGUMENTS

mtd MTD device structure

this
    NAND chip structure

page
    startpage inside the chip, must be called with (page & this->pagemask)

oob_buf
    out of band data buffer

oobsel
    out of band selecttion structre

cached
    1 = enable cached programming if supported by chip

DESCRIPTION

Nand_page_program function is used for write and writev ! This function will always program a full page of data If you call it with a non page aligned buffer, you're lost :)

Cached programming is not supported yet.

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.